/** ###################################################################
**     Filename    : ProcessorExpert.c
**     Project     : ProcessorExpert
**     Processor   : MKL25Z128VLK4
**     Version     : Driver 01.01
**     Compiler    : GNU C Compiler
**     Date/Time   : 2012-11-08, 19:47, # CodeGen: 0
**     Abstract    :
**         Main module.
**         This module contains user's application code.
**     Settings    :
**     Contents    :
**         No public methods
**
** ###################################################################*/
/* MODULE ProcessorExpert */


/* Including needed modules to compile this module/procedure */
#include "Cpu.h"
#include "Events.h"
#include "RedLED.h"
#include "Sw0Touch.h"
#include "BitIoLdd1.h"
#include "PTE.h"
#include "GreenLED.h"
//#include "BlueLED.h"
#include "WAIT1.h"
#include "PTE.h"
//#include "SW2.h"
/* Including shared modules, which are used for whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"

/* User includes (#include below this line is not maintained by Processor Expert) */

/*lint -save  -e970 Disable MISRA rule (6.3) checking. */
int main(void)
/*lint -restore Enable MISRA rule (6.3) checking. */
{
  /* Write your local variable definition here */

  /*** Processor Expert internal initialization. DON'T REMOVE THIS CODE!!! ***/
  PE_low_level_init();
  /*** End of Processor Expert internal initialization.                    ***/

  GreenLED_ClrVal(NULL); /* turn on green LED */
  WAIT1_Waitms(1000);
  GreenLED_SetVal(NULL); /* turn off green LED */
  for(;;) {
    if (Sw0Touch_GetVal(NULL)==0) { /* button low level => pressed */
      RedLED_ClrVal(NULL); /* LED cathode is connected to microcontroller pin: low level turns it on */
    } else {
      RedLED_SetVal(NULL); /* turn off red led */
    }
    if (Sw5Touch_GetVal(NULL)==0) { /* switch low level => pressed */
       BlueLED_ClrVal(NULL); /* turn on blue led */
    } else {
      BlueLED_SetVal(NULL); /* turn off blue led */
    }
  }
  /*** Don't write any code pass this line, or it will be deleted during code generation. ***/
  /*** RTOS startup code. Macro PEX_RTOS_START is defined by the RTOS component. DON'T MODIFY THIS CODE!!! ***/
  #ifdef PEX_RTOS_START
    PEX_RTOS_START();                  /* Startup of the selected RTOS. Macro is defined by the RTOS component. */
  #endif
  /*** End of RTOS startup code.  ***/
  /*** Processor Expert end of main routine. DON'T MODIFY THIS CODE!!! ***/
  for(;;){}
  /*** Processor Expert end of main routine. DON'T WRITE CODE BELOW!!! ***/
} /*** End of main routine. DO NOT MODIFY THIS TEXT!!! ***/

/* END ProcessorExpert */
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.0 [05.03]
**     for the Freescale Kinetis series of microcontrollers.
**
** ###################################################################
*/
